curl --location --request PUT 'https://api.stateset.com/api/v1/customers/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "string",
"email": "string",
"firstName": "string",
"lastName": "string",
"phone": "string",
"stripe_customer_id": "string",
"timestamp": "string",
"activationDate": "string"
}'
{
"id": "string",
"email": "string",
"firstName": "string",
"lastName": "string",
"phone": "string",
"stripe_customer_id": "string",
"timestamp": "string",
"activationDate": "string"
}
Update Customer
This endpoint updates an existing customer.
PUT
/
api
/
v1
/
customers
/
{id}
curl --location --request PUT 'https://api.stateset.com/api/v1/customers/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "string",
"email": "string",
"firstName": "string",
"lastName": "string",
"phone": "string",
"stripe_customer_id": "string",
"timestamp": "string",
"activationDate": "string"
}'
{
"id": "string",
"email": "string",
"firstName": "string",
"lastName": "string",
"phone": "string",
"stripe_customer_id": "string",
"timestamp": "string",
"activationDate": "string"
}
Body
string
This is the sso_id of the customer
object
This is the customer object.
Response
number
Indicates whether the call was successful. 1 if successful, 0 if not.
object
The contents of the customer
Show Toggle object
Show Toggle object
number
Indicates whether a new customer was created.
string
This is the customer token (customerToken or CUSTOMER_TOKEN) that will be
used to identify which customer is viewing the dashboard. You should save
this on your end to use when rendering an embedded dashboard.
string
This is the name of the customer provided in the request body.
string
This is the customer_id provided in the request body.
JSON | Null
This is the properties object if it was provided in the request body
JSON or null
This is the environment tag of the customer. Possible values are ‘Customer’
and ‘Testing’
curl --location --request PUT 'https://api.stateset.com/api/v1/customers/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "string",
"email": "string",
"firstName": "string",
"lastName": "string",
"phone": "string",
"stripe_customer_id": "string",
"timestamp": "string",
"activationDate": "string"
}'
{
"id": "string",
"email": "string",
"firstName": "string",
"lastName": "string",
"phone": "string",
"stripe_customer_id": "string",
"timestamp": "string",
"activationDate": "string"
}
⌘I